org.apache.geode.cache.query

## Interface IndexStatistics

-     public interface IndexStatistics

  Provides statistics about a GemFire cache `Index`.
  Since:
    GemFire 4.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumberOfBucketIndexes()` Returns the number of bucket indexes created in the Partitioned Region
    `long` | `getNumberOfKeys()` Returns the number of keys in this index.
    `long` | `getNumberOfMapIndexKeys()` Returns the number of keys in this index at the highest level
    `long` | `getNumberOfValues()` Returns the number of values in this index.
    `long` | `getNumberOfValues(java.lang.Object key)` Return the number of values for the specified key in this index.
    `long` | `getNumUpdates()` Return the total number of times this index has been updated
    `int` | `getReadLockCount()` Return number of read locks taken on this index
    `long` | `getTotalUpdateTime()` Returns the total amount of time (in nanoseconds) spent updating this index.
    `long` | `getTotalUses()` Returns the total number of times this index has been accessed by a query.

- - ### Method Detail

    - #### getNumUpdates

          long getNumUpdates()

      Return the total number of times this index has been updated

    - #### getTotalUpdateTime

          long getTotalUpdateTime()

      Returns the total amount of time (in nanoseconds) spent updating this index.

    - #### getTotalUses

          long getTotalUses()

      Returns the total number of times this index has been accessed by a query.

    - #### getNumberOfKeys

          long getNumberOfKeys()

      Returns the number of keys in this index.

    - #### getNumberOfValues

          long getNumberOfValues()

      Returns the number of values in this index.

    - #### getNumberOfValues

          long getNumberOfValues(java.lang.Object key)

      Return the number of values for the specified key in this index.

    - #### getReadLockCount

          int getReadLockCount()

      Return number of read locks taken on this index

    - #### getNumberOfMapIndexKeys

          long getNumberOfMapIndexKeys()

      Returns the number of keys in this index at the highest level

    - #### getNumberOfBucketIndexes

          int getNumberOfBucketIndexes()

      Returns the number of bucket indexes created in the Partitioned Region